SDL_CameraSpec(3type)

NAME
SDL_CameraSpec - The details of an output format for a camera device.

HEADER FILE
Defined in SDL3/SDL_camera.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_CameraSpec
{
    SDL_PixelFormatEnum format; /**< Frame format */
    int width;                  /**< Frame width */
    int height;                 /**< Frame height */
    int interval_numerator;     /**< Frame rate numerator ((dom / num) == fps, (num / dom) == duration) */
    int interval_denominator;   /**< Frame rate demoninator ((dom / num) == fps, (num / dom) == duration) */
} SDL_CameraSpec;

DESCRIPTION
Cameras often support multiple formats; each one will be encapsulated in this struct.

AVAILABILITY
This struct is available since SDL 3.0.0.

SEE ALSO
SDL_GetCameraDeviceSupportedFormats(3), SDL_GetCameraFormat(3)